import { Location, Position, TextDocument } from 'vscode-languageserver/node';
import { SystemVerilogIndexer } from './svindexer';
export declare class SystemVerilogDefinitionProvider {
    private _indexer;
    constructor(indexer: SystemVerilogIndexer);
    private _findNamedArg;
    private _getIncludeFileName;
    private _getDefinition;
    getDefinitionSymbolLocation(document: TextDocument, position: Position): Promise<Location[]>;
    getDefinitionText(document: TextDocument, position: Position): [string, string[]];
}
